
Application: gvSIG desktop - gvSIG bugs #4616
SEXTANTE Union: LoadLayerException
08/11/2017 12:18 PM - Antonio Falciano

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Joaquín  del Cerro Murciano
Category: Geoprocess
Target version: 2.4.0-2832 (rev. org.gvsig.desktop-2.0.198)
Severity: Major Add-on version:
gvSIG version: 2.3.1 Add-on build:
gvSIG build: 2501 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description
Steps in order to reproduce the issue:
    -  add two random polygon vector layers (e.g. layer1 and layer2);
    -  execute the SEXTANTE Union.

Result: no output layer is loaded and an error dialogue appears.

Log:

INFO 52837 pool-2-thread-1 es.unex.sextante.core.SextanteLogHandler - Executing command: extent( 0.0, 0.0, 0.0, 100.0,
100.0, 0.0, 1.0, 1.0)
Executing command: runalg("randomvector", "10", "0", "#")
Starting algorithm execution...:11-ago-2017 12.01.30
Finished algorithm execution:11-ago-2017 12.01.30
Execution time (millisecs):157

WARN 52843 pool-2-thread-1 org.gvsig.fmap.dal.resource.spi.MultiResource - Added resource file to a frozen multiresource
MultiResource C:\Users\Antonio\AppData\Local\Temp\tmp-gvsig\15024456901470.shp
WARN 52844 pool-2-thread-1 org.gvsig.fmap.dal.resource.spi.MultiResource - Added resource file to a frozen multiresource
MultiResource C:\Users\Antonio\AppData\Local\Temp\tmp-gvsig\15024456901470.shp
WARN 52844 pool-2-thread-1 org.gvsig.fmap.dal.resource.spi.MultiResource - Added resource file to a frozen multiresource
MultiResource C:\Users\Antonio\AppData\Local\Temp\tmp-gvsig\15024456901470.shp
WARN 54709 Thread-13 org.gvsig.fmap.dal.resource.spi.MultiResource - Added resource file to a frozen multiresource
MultiResource C:\Users\Antonio\AppData\Local\Temp\tmp-gvsig\15024456901470.shp
WARN 54710 Thread-13 org.gvsig.fmap.dal.resource.spi.MultiResource - Added resource file to a frozen multiresource
MultiResource C:\Users\Antonio\AppData\Local\Temp\tmp-gvsig\15024456901470.shp
WARN 54710 Thread-13 org.gvsig.fmap.dal.resource.spi.MultiResource - Added resource file to a frozen multiresource
MultiResource C:\Users\Antonio\AppData\Local\Temp\tmp-gvsig\15024456901470.shp
INFO 63923 pool-3-thread-1 es.unex.sextante.core.SextanteLogHandler - Executing command: extent( 0.0, 0.0, 0.0, 100.0,
100.0, 0.0, 1.0, 1.0)
Executing command: runalg("randomvector", "10", "0", "#")
Starting algorithm execution...:11-ago-2017 12.01.41
Finished algorithm execution:11-ago-2017 12.01.41
Execution time (millisecs):39

WARN 63927 pool-3-thread-1 org.gvsig.fmap.dal.resource.spi.MultiResource - Added resource file to a frozen multiresource
MultiResource C:\Users\Antonio\AppData\Local\Temp\tmp-gvsig\15024457013501.shp
WARN 63928 pool-3-thread-1 org.gvsig.fmap.dal.resource.spi.MultiResource - Added resource file to a frozen multiresource
MultiResource C:\Users\Antonio\AppData\Local\Temp\tmp-gvsig\15024457013501.shp
WARN 63928 pool-3-thread-1 org.gvsig.fmap.dal.resource.spi.MultiResource - Added resource file to a frozen multiresource
MultiResource C:\Users\Antonio\AppData\Local\Temp\tmp-gvsig\15024457013501.shp
WARN 65748 Thread-15 org.gvsig.fmap.dal.resource.spi.MultiResource - Added resource file to a frozen multiresource
MultiResource C:\Users\Antonio\AppData\Local\Temp\tmp-gvsig\15024457013501.shp
WARN 65749 Thread-15 org.gvsig.fmap.dal.resource.spi.MultiResource - Added resource file to a frozen multiresource
MultiResource C:\Users\Antonio\AppData\Local\Temp\tmp-gvsig\15024457013501.shp
WARN 65749 Thread-15 org.gvsig.fmap.dal.resource.spi.MultiResource - Added resource file to a frozen multiresource
MultiResource C:\Users\Antonio\AppData\Local\Temp\tmp-gvsig\15024457013501.shp
INFO 67603 AWT-EventQueue-0 org.gvsig.andami.actioninfo.impl.DefaultActionInfo -
org.gvsig.app.mainplugin:org.gvsig.app.extension.ViewControls.execute('view-change-scale', Object[] args)
WARN 92214 pool-4-thread-1 org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore - Dispossing a store in editing/append mode
(C:\Users\Antonio\AppData\Local\Temp\tmp-gvsig\15024457294432.shp).
java.lang.IllegalStateException
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.doDispose(DefaultFeatureStore.java:383)
    at org.gvsig.tools.dispose.impl.AbstractDisposable.dispose(AbstractDisposable.java:70)
    at org.gvsig.geoprocess.lib.sextante.dataObjects.FlyrVectIVectorLayer.free(FlyrVectIVectorLayer.java:535)
    at org.gvsig.geoprocess.lib.sextante.dataObjects.FlyrVectIVectorLayer.close(FlyrVectIVectorLayer.java:305)
    at es.unex.sextante.vectorTools.union.UnionAlgorithm.processAlgorithm(UnionAlgorithm.java:110)
    at es.unex.sextante.core.GeoAlgorithm.execute(GeoAlgorithm.java:229)
    at es.unex.sextante.core.GeoAlgorithm.execute(GeoAlgorithm.java:175)
    at es.unex.sextante.core.ProcessTask.call(ProcessTask.java:59)
    at es.unex.sextante.core.ProcessTask.call(ProcessTask.java:13)
    at java.util.concurrent.FutureTask.run(Unknown Source)
    at java.util.concurrent.ThreadPoolExecutor.runWorker(Unknown Source)
    at java.util.concurrent.ThreadPoolExecutor$Worker.run(Unknown Source)
    at java.lang.Thread.run(Unknown Source)
WARN 92217 pool-4-thread-1 es.unex.sextante.core.SextanteLogHandler - 
org.gvsig.fmap.mapcontext.exceptions.LoadLayerException: Can´t load the layer
C:\Users\Antonio\AppData\Local\Temp\tmp-gvsig\15024457294432.shp.
    at org.gvsig.fmap.mapcontext.layers.LayerFactory.createLayer(LayerFactory.java:190)
    at org.gvsig.fmap.mapcontext.impl.DefaultMapContextManager.createLayer(DefaultMapContextManager.java:577)
    at org.gvsig.geoprocess.lib.sextante.dataObjects.FlyrVectIVectorLayer.open(FlyrVectIVectorLayer.java:294)
    at es.unex.sextante.vectorTools.union.UnionAlgorithm.processAlgorithm(UnionAlgorithm.java:117)
    at es.unex.sextante.core.GeoAlgorithm.execute(GeoAlgorithm.java:229)
    at es.unex.sextante.core.GeoAlgorithm.execute(GeoAlgorithm.java:175)
    at es.unex.sextante.core.ProcessTask.call(ProcessTask.java:59)
    at es.unex.sextante.core.ProcessTask.call(ProcessTask.java:13)
    at java.util.concurrent.FutureTask.run(Unknown Source)
    at java.util.concurrent.ThreadPoolExecutor.runWorker(Unknown Source)
    at java.util.concurrent.ThreadPoolExecutor$Worker.run(Unknown Source)
    at java.lang.Thread.run(Unknown Source)
Caused by: java.lang.NullPointerException
    at org.gvsig.fmap.mapcontext.layers.LayerFactory.getLayerClassFor(LayerFactory.java:124)
    at org.gvsig.fmap.mapcontext.layers.LayerFactory.createLayer(LayerFactory.java:168)
    ... 11 more
WARN 92222 Thread-16 es.unex.sextante.core.SextanteLogHandler - 
java.util.concurrent.ExecutionException: java.lang.RuntimeException:
org.gvsig.fmap.mapcontext.exceptions.LoadLayerException: Can´t load the layer
C:\Users\Antonio\AppData\Local\Temp\tmp-gvsig\15024457294432.shp.
    at java.util.concurrent.FutureTask.report(Unknown Source)
    at java.util.concurrent.FutureTask.get(Unknown Source)
    at es.unex.sextante.gui.core.GeoAlgorithmExecutors$1.run(GeoAlgorithmExecutors.java:53)
    at java.lang.Thread.run(Unknown Source)
Caused by: java.lang.RuntimeException: org.gvsig.fmap.mapcontext.exceptions.LoadLayerException: Can´t load the layer
C:\Users\Antonio\AppData\Local\Temp\tmp-gvsig\15024457294432.shp.
    at org.gvsig.geoprocess.lib.sextante.dataObjects.FlyrVectIVectorLayer.open(FlyrVectIVectorLayer.java:298)
    at es.unex.sextante.vectorTools.union.UnionAlgorithm.processAlgorithm(UnionAlgorithm.java:117)
    at es.unex.sextante.core.GeoAlgorithm.execute(GeoAlgorithm.java:229)
    at es.unex.sextante.core.GeoAlgorithm.execute(GeoAlgorithm.java:175)
    at es.unex.sextante.core.ProcessTask.call(ProcessTask.java:59)
    at es.unex.sextante.core.ProcessTask.call(ProcessTask.java:13)
    at java.util.concurrent.FutureTask.run(Unknown Source)
    at java.util.concurrent.ThreadPoolExecutor.runWorker(Unknown Source)
    at java.util.concurrent.ThreadPoolExecutor$Worker.run(Unknown Source)
    ... 1 more
Caused by: org.gvsig.fmap.mapcontext.exceptions.LoadLayerException: Can´t load the layer
C:\Users\Antonio\AppData\Local\Temp\tmp-gvsig\15024457294432.shp.
    at org.gvsig.fmap.mapcontext.layers.LayerFactory.createLayer(LayerFactory.java:190)
    at org.gvsig.fmap.mapcontext.impl.DefaultMapContextManager.createLayer(DefaultMapContextManager.java:577)
    at org.gvsig.geoprocess.lib.sextante.dataObjects.FlyrVectIVectorLayer.open(FlyrVectIVectorLayer.java:294)
    ... 9 more
Caused by: java.lang.NullPointerException
    at org.gvsig.fmap.mapcontext.layers.LayerFactory.getLayerClassFor(LayerFactory.java:124)
    at org.gvsig.fmap.mapcontext.layers.LayerFactory.createLayer(LayerFactory.java:168)
    ... 11 more

Associated revisions
Revision 248 - 08/14/2017 08:11 PM - Joaquín  del Cerro Murciano

refs #4616, corregido en el algoritmo de union que no se destruyese la capa hasta el final del proceso.

Revision 981 - 08/14/2017 08:17 PM - Joaquín  del Cerro Murciano

refs #4616, corregido en FlyrVectIVectorLayer, que en postprocess y free terminen edicion si estaba iniciada antes de cerrar el store.

History
#1 - 08/11/2017 04:07 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220) to 2.4.0-2832 (rev. org.gvsig.desktop-2.0.198)
- Assignee set to Joaquín  del Cerro Murciano

#2 - 08/14/2017 07:54 PM - Joaquín  del Cerro Murciano
- gvSIG build changed from 2831 to 2501
- gvSIG version changed from 2.4.0 to 2.3.1

Este error ya se producia en la 2.3.1 final.

#3 - 08/14/2017 08:15 PM - Joaquín  del Cerro Murciano
- Status changed from New to Fixed

#4 - 08/17/2017 11:07 AM - Antonio Falciano
- Status changed from Fixed to Closed
